Retrieve a Credit App
curl --request GET \
--url https://commerce.driv.ly/api/creditapps/{id}import requests
url = "https://commerce.driv.ly/api/creditapps/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/creditapps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"preApproval": "<string>",
"consumer": "<string>",
"vehicle": "<string>",
"providerResponse": {},
"coApplicantSSN": "<string>",
"coApplicantPhoneNumber": "<string>",
"coApplicantEmail": "<string>",
"coApplicantBirthDate": "2023-12-25",
"coApplicantLastName": "<string>",
"coApplicantFirstName": "<string>",
"ssn": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"birthDate": "2023-12-25",
"lastName": "<string>",
"firstName": "<string>",
"coApplicantConsumer": "<string>",
"toProvider": true
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Credit
Retrieve a Credit App
GET
/
creditapps
/
{id}
Retrieve a Credit App
Path Parameters
Credit App is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Response
Credit App Found
Show child attributes
Show child attributes
Example:
{
"id": "crapp_4ks9j3k2d0d2",
"ssn": "123-45-6789",
"email": "john.doe@example.com",
"vehicle": "Vehicle ID",
"lastName": "Doe",
"consumer": "Consumer ID",
"birthDate": "1984-09-20",
"firstName": "John",
"phoneNumber": "555-0199",
"preApproval": "Pre-Approval ID",
"coApplicantSSN": "234-56-7890",
"coApplicantEmail": "jane.doe@example.com",
"coApplicantLastName": "Doe",
"coApplicantConsumer": "Consumer ID",
"coApplicantBirthDate": "1990-07-12",
"coApplicantFirstName": "Jane",
"coApplicantPhoneNumber": "555-6789"
}
⌘I